From: "Ronny Gutbrod" <gentoo@tastytea.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-util/bash-language-server/
Date: Fri, 3 Feb 2023 09:17:51 +0000 (UTC) [thread overview]
Message-ID: <1675415856.6bbd00a1998bf7373d8de7408fc8a2de8ee9537d.tastytea@gentoo> (raw)
commit: 6bbd00a1998bf7373d8de7408fc8a2de8ee9537d
Author: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Fri Feb 3 09:00:47 2023 +0000
Commit: Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Fri Feb 3 09:17:36 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6bbd00a1
dev-util/bash-language-server: add 4.6.2
Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>
dev-util/bash-language-server/Manifest | 2 +
.../bash-language-server-4.6.2.ebuild | 51 ++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/dev-util/bash-language-server/Manifest b/dev-util/bash-language-server/Manifest
index 57f26e409..0d0e8f287 100644
--- a/dev-util/bash-language-server/Manifest
+++ b/dev-util/bash-language-server/Manifest
@@ -2,3 +2,5 @@ DIST bash-language-server-4.5.1-deps.tar.xz 2218628 BLAKE2B 68871f03632e6d2afe5e
DIST bash-language-server-4.5.1.tgz 178523 BLAKE2B 1485a30bb05877556b3d327fa8cb6b1b060627950f88d548e0e14bd837f70826bf519977ad02f9c7dd1142a8172f24adb6d9096f39e5c77cb9abb74465bb58b1 SHA512 e6f085035c70b2e45c02dd2a6852e146052806c9144c6c11a5a897281ac3c35597592f9dde491d0634dbac6a2ec6e15c6f63ab38f6125dfe35c6c11b106f2efd
DIST bash-language-server-4.6.1-deps.tar.xz 2159200 BLAKE2B a3693f7a6c8882e2aa465dcf8fae7133f47261d56e6cc8d108a906166f070f97b381da46368def77604497069e6df0c15e2c04ece35e8355e437ac1732159faf SHA512 fa341d93fa1d9906eafaec20cd10f2a3e806945306bba8a6744dc7f0ffe9c2743dbd71b344afb89bdb5d5bbdbbfec775da2ff45c08c7e1b403759325864d72c2
DIST bash-language-server-4.6.1.tgz 182857 BLAKE2B 7225b2a6c0eb82ee5847e33ca29aef9468850191bc5791aee313e99d614dfc8ab2a14e819bdea22d9ec3bc471c9a460430993a177223f5221bb0fbd48b5a8a19 SHA512 de9cc1f76fb4ffeaeb4784dd38d1613ad7333cb4018286eefb6eff5f689c9d2df663381d30977b18cccce15ea7059b2b9798cc518e16ff4131495188577a386b
+DIST bash-language-server-4.6.2-deps.tar.xz 2159844 BLAKE2B 04ce2360f127ac2a4b844a72955e64d5a369032c3459b781da2b3ecb90054bad146655a0e8a179d85bce27a8fd679f0cccb5a9f7a92c4628e7a69a951b343659 SHA512 3bd451f065df79e682f0db0b738281d386f986ecca12c0031093a8ec91b96385bf4fd4496ebcc44be9ba72777f6c6375bfbb74ccf7de0f69cdde0ea5d1bf18d4
+DIST bash-language-server-4.6.2.tgz 182070 BLAKE2B 6872b7084a2893a1aaef46a4cde4ffdbfb0b949d3edac45ca9066464e523e273468a793b1aa34e14925474e6ab65f575fd0bc241d7ca977f2a2c2a340c990020 SHA512 ef599f4addd0f84324302b13441fb6eb2b115d5c43132841d01f600daaf1a9e50749cd0602be42a48aa5ff178ea3470ae4d88d82939cff1cd28ffdf007073e6e
diff --git a/dev-util/bash-language-server/bash-language-server-4.6.2.ebuild b/dev-util/bash-language-server/bash-language-server-4.6.2.ebuild
new file mode 100644
index 000000000..344c04d3e
--- /dev/null
+++ b/dev-util/bash-language-server/bash-language-server-4.6.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature
+
+DESCRIPTION="A language server for Bash"
+HOMEPAGE="https://github.com/bash-lsp/bash-language-server"
+SRC_URI="
+ mirror://npm/${PN}/-/${P}.tgz
+ https://tastytea.de/files/gentoo/${P}-deps.tar.xz
+"
+S="${WORKDIR}"
+
+# NOTE: to generate the dependency tarball:
+# npm --cache ./npm-cache install $(portageq envvar DISTDIR)/${P}.tgz
+# tar -caf ${P}-deps.tar.xz npm-cache
+
+LICENSE="
+ Apache-2.0 BSD BSD-2 CC0-1.0 ISC MIT-with-advertising
+ || ( public-domain Unlicense )
+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="net-libs/nodejs"
+BDEPEND="net-libs/nodejs[npm]"
+
+src_unpack() {
+ cd "${T}" || die "Could not cd to temporary directory"
+ unpack ${P}-deps.tar.xz
+}
+
+src_install() {
+ npm \
+ --offline \
+ --verbose \
+ --progress false \
+ --foreground-scripts \
+ --global \
+ --prefix "${ED}"/usr \
+ --cache "${T}"/npm-cache \
+ install "${DISTDIR}"/${P}.tgz || die "npm install failed"
+
+ einstalldocs
+}
+
+pkg_postinst() {
+ optfeature "linting support" dev-util/shellcheck dev-util/shellcheck-bin
+}
next reply other threads:[~2023-02-03 9:17 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-02-03 9:17 Ronny Gutbrod [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-17 19:01 [gentoo-commits] repo/proj/guru:dev commit in: dev-util/bash-language-server/ Saad Abdullah
2024-10-14 19:47 Ronny Gutbrod
2024-06-12 16:43 Ronny Gutbrod
2024-06-12 16:43 Ronny Gutbrod
2024-05-18 18:20 Ronny Gutbrod
2024-05-18 18:20 Ronny Gutbrod
2024-04-27 9:40 Ronny Gutbrod
2024-04-25 11:06 Ronny Gutbrod
2024-04-25 11:06 Ronny Gutbrod
2024-02-10 18:39 Ronny Gutbrod
2024-02-10 18:39 Ronny Gutbrod
2023-07-25 17:37 Ronny Gutbrod
2023-07-25 17:37 Ronny Gutbrod
2023-07-13 15:28 Ronny Gutbrod
2023-07-13 15:28 Ronny Gutbrod
2023-06-30 12:57 Ronny Gutbrod
2023-06-30 12:57 Ronny Gutbrod
2023-06-11 11:14 Ronny Gutbrod
2023-06-11 11:14 Ronny Gutbrod
2023-05-23 12:47 Ronny Gutbrod
2023-05-23 12:47 Ronny Gutbrod
2023-04-12 18:54 Ronny Gutbrod
2023-04-12 18:54 Ronny Gutbrod
2023-04-07 13:06 Ronny Gutbrod
2023-04-07 13:06 Ronny Gutbrod
2023-03-30 19:49 Ronny Gutbrod
2023-03-30 19:49 Ronny Gutbrod
2023-03-09 20:09 Ronny Gutbrod
2023-03-09 13:59 Ronny Gutbrod
2023-03-09 13:59 Ronny Gutbrod
2023-02-15 11:39 Ronny Gutbrod
2023-02-15 11:39 Ronny Gutbrod
2023-02-03 9:17 Ronny Gutbrod
2023-01-27 23:58 Ronny Gutbrod
2023-01-27 23:58 Ronny Gutbrod
2023-01-18 13:37 Ronny Gutbrod
2023-01-17 12:17 Ronny Gutbrod
2023-01-17 1:02 Ronny Gutbrod
2023-01-17 1:02 Ronny Gutbrod
2022-12-29 11:01 Ronny Gutbrod
2022-12-29 11:01 Ronny Gutbrod
2022-12-09 16:26 [gentoo-commits] repo/proj/guru:master " Ronny Gutbrod
2022-12-09 1:26 ` [gentoo-commits] repo/proj/guru:dev " Ronny Gutbrod
2022-12-09 1:26 Ronny Gutbrod
2022-12-03 17:45 Ronny Gutbrod
2022-12-03 17:45 Ronny Gutbrod
2022-11-25 21:46 Ronny Gutbrod
2022-11-25 11:24 Ronny Gutbrod
2022-09-07 2:09 Ronny Gutbrod
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1675415856.6bbd00a1998bf7373d8de7408fc8a2de8ee9537d.tastytea@gentoo \
--to=gentoo@tastytea.de \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox